t.rast3d.mapcalc(1)

NAME
t.rast3d.mapcalc - Performs r3.mapcalc expressions on maps of sampled space time 3D raster datasets.

KEYWORDS
temporal, algebra, raster3d, voxel, time

SYNOPSIS
t.rast3d.mapcalc
t.rast3d.mapcalc --help
t.rast3d.mapcalc [-ns] inputs=name[,name,...] expression=string [method=name[,name,...]] output=name basename=string [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Register Null maps

-s
    Check the spatial topology of temporally related maps and process only spatially related maps

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

inputs=name[,name,...] [required]
    Name of the input space time raster3d datasets

expression=string [required]
    r3.mapcalc expression applied to each time step of the sampled data

method=name[,name,...]
    The method to be used for sampling the input dataset
    Options: start, during, overlap, contain, equal, follows, precedes
    Default: during,overlap,contain,equal

output=name [required]
    Name of the output space time raster3d dataset

basename=string [required]
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

nprocs=integer
    Number of r3.mapcalc processes to run in parallel
    Default: 1

DESCRIPTION
t.rast3d.mapcalc provides exact the same functionality as t.rast.mapcalc, but for space time 3D raster datasets. Please refer to t.rast.mapcalc for documentation.

It is a simple wrapper for r3.mapcalc enhanced with temporal functions.

SEE ALSO
t.rast.mapcalc, t.rast3d.algebra, r3.mapcalc

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast3d.mapcalc source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual